/************************************************************************

Created: Monday, Sept 23, 1991
    TestSession.h
	M.Vierling


        Copyright Apple Computer, Inc. 1991 - 1992
        All rights reserved

************************************************************************/
#include "AFPSession.h"


class TestSession : public TAFPSession
{
public:
	void SetPrint( Boolean printflag );
	void SetPrintReply( Boolean printflag );
	void SetFileName( char * theName );
	void CheckErr( OSErr expectedError, int linenumber );
	OSErr ISession( char * zoneName, char * serverName );

private:
	Boolean fPrintFlag;
	Boolean fPrintReply;
	char * fSourceFileName;
	void PrintBuffer( Ptr Buffer, int BufferSize );
	void Debug( OSErr theErr, const char * message );
	OSErr DoAFPCommand( XPPParmBlkPtr theParamPtr );
};
