#include "Types.r"
#include "SysTypes.r"


resource 'vers' (1, purgeable) {
	0x00,
	0x00,
	release,
	0x00,
	verUs,
	"1.0",
	"ADSP Chat - Version 1.0"
};

type 'SCOT' as 'STR ';
resource 'SCOT' (0, purgeable) {
	"ADSP Chat - Version 1.0"
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

data 'SCOT' (0) {
	$"2253 616D 706C 6520 4320 4170 706C 6963"            /* "Sample C Applic */
	$"6174 696F 6E20 2D20 5665 7273 696F 6E20"            /* ation - Version  */
	$"322E 30"                                            /* 2.0 */
};

resource 'BNDL' (128) {
	'SCOT',
	0,
	{
		'ICN#', {
		0, 128,
		},
		'FREF', {
		0, 128,
		}
	}
};

resource 'MENU' (131, "Special", preload) {
	131,
	textMenuProc,
	allEnabled,
	enabled,
	"ADSP",
	{	/* array: 1 elements */
		/* [1] */
		"Initialize ADSP", noIcon, "A", noMark, plain
	}
};

resource 'MENU' (128, "Apple", preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About ADSP Sample", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "File", preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 2 elements */
		/* [1] */
		"Close", noIcon, noKey, noMark, plain,
		/* [2] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130,
	textMenuProc,
	allEnabled,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'DLOG' (128) {
	{40, 40, 169, 313},
	documentProc,
	invisible,
	noGoAway,
	0x0,
	128,
	""
};

resource 'DLOG' (130) {
	{40, 40, 224, 276},
	documentProc,
	invisible,
	noGoAway,
	0x0,
	130,
	""
};

resource 'DLOG' (129) {
	{39, 38, 323, 482},
	noGrowDocProc,
	visible,
	noGoAway,
	0x0,
	129,
	""
};

resource 'DITL' (129) {
	{	/* array DITLarray: 21 elements */
		/* [1] */
		{39, 52, 58, 203},
		UserItem {
			disabled
		},
		/* [2] */
		{66, 52, 85, 203},
		UserItem {
			disabled
		},
		/* [3] */
		{118, 52, 137, 203},
		UserItem {
			enabled
		},
		/* [4] */
		{18, 230, 45, 431},
		UserItem {
			enabled
		},
		/* [5] */
		{23, 234, 42, 429},
		StaticText {
			disabled,
			""
		},
		/* [6] */
		{245, 12, 266, 123},
		Button {
			enabled,
			"Connect"
		},
		/* [7] */
		{246, 145, 267, 209},
		Button {
			enabled,
			"Quit"
		},
		/* [8] */
		{63, 230, 145, 429},
		UserItem {
			enabled
		},
		/* [9] */
		{72, 234, 144, 426},
		StaticText {
			enabled,
			""
		},
		/* [10] */
		{158, 228, 175, 430},
		StaticText {
			disabled,
			"Outgoing Text:"
		},
		/* [11] */
		{180, 231, 251, 428},
		EditText {
			enabled,
			""
		},
		/* [12] */
		{160, 12, 176, 108},
		StaticText {
			disabled,
			"Connected To:"
		},
		/* [13] */
		{94, 24, 111, 190},
		CheckBox {
			enabled,
			"Filter on \"Moof\" types"
		},
		/* [14] */
		{18, 11, 147, 211},
		UserItem {
			disabled
		},
		/* [15] */
		{255, 253, 269, 434},
		StaticText {
			disabled,
			"(Press <enter> to send message)"
		},
		/* [16] */
		{160, 79, 177, 211},
		StaticText {
			disabled,
			""
		},
		/* [17] */
		{39, 15, 55, 51},
		StaticText {
			disabled,
			"Object"
		},
		/* [18] */
		{66, 15, 82, 51},
		StaticText {
			disabled,
			"Type"
		},
		/* [19] */
		{119, 16, 134, 48},
		StaticText {
			disabled,
			"Zone"
		},
		/* [20] */
		{190, 13, 222, 211},
		UserItem {
			disabled
		},
		/* [21] */
		{197, 18, 218, 207},
		StaticText {
			disabled,
			""
		}
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{88, 180, 108, 260},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 214},
		StaticText {
			disabled,
			"ADSP Sample"
		},
		/* [3] */
		{32, 8, 48, 237},
		StaticText {
			disabled,
			"Copyright  1992 Apple Computer"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 167},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support"
		}
	}
};

resource 'DITL' (130) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{123, 131, 143, 189},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{36, 23, 108, 193},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'ALRT' (128) {
	{38, 75, 158, 347},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (130) {
	{40, 40, 240, 280},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	288000,
	288000
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 3 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130
	}
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 00FC 0000 0084"
		$"0001 0084 0002 80FC 0004 4084 0002 2084"
		$"0001 1000 6FFF 88F0 0000 0488 1BC0 0284"
		$"0000 0484 06FF 8888 0001 10F0 0002 2000"
		$"0104 40FC 0282 8080 0441 0080 0880 00FC"
		$"1100 0004 23FF EC04 4000 00FC 8007 B000"
		$"4000 00FC 23FE C084 1100 00FC 0880 0080"
		$"0440 0080 0280 0080 01",
		/* [2] */
		$"0000 0000 0000 0000 0000 00FC 0000 0084"
		$"0001 0084 0003 80FC 0007 C084 0003 E084"
		$"0001 F000 7FFF F8F0 3FFF FC88 1FFF FE84"
		$"0FFF FC84 07FF F888 0001 F0F0 0003 E000"
		$"0107 C0FC 0383 8080 07C1 0080 0F80 00FC"
		$"1F00 0004 3FFF FE04 7FFF FCFC FFFF F800"
		$"7FFF F0FC 3FFF E084 1F00 00FC 0F80 0080"
		$"07C0 0080 0380 0080 01"
	}
};

